com.icl.saxon.tree

## Class LineNumberMap

- java.lang.Object
- - com.icl.saxon.tree.LineNumberMap

-     public class LineNumberMap
      extends java.lang.Object

  Line numbers are not held in nodes in the tree, because they are not usually needed. This class provides a map from element sequence numbers to line numbers: it is linked to the root node of the tree.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineNumberMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLineNumber(int sequence)` Get the line number corresponding to a given sequence number
    `void` | `setLineNumber(int sequence, int line)` Set the line number corresponding to a given sequence number

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LineNumberMap

          public LineNumberMap()

  - ### Method Detail

    - #### setLineNumber

          public void setLineNumber(int sequence,
                           int line)

      Set the line number corresponding to a given sequence number

    - #### getLineNumber

          public int getLineNumber(int sequence)

      Get the line number corresponding to a given sequence number